pardon if this is the wrong context to ask, but  whats the approriate way to do that on os x?<br><br><div class="gmail_quote">2009/7/31 Rafael Gustavo da Cunha Pereira Pinto <span dir="ltr">&lt;<a href="mailto:RafaelGCPP.Linux@gmail.com">RafaelGCPP.Linux@gmail.com</a>&gt;</span><br>

<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">Carter,<br><br>It seems you need to install opengl-dev or something like that in your Linux instalation (using apt-get, yum or similar tool).<br>

<br>Regards,<br><font color="#888888"><br>Rafael</font><div><div></div><div class="h5"><br><br><div class="gmail_quote">On Fri, Jul 31, 2009 at 17:24, Carter Schonwald <span dir="ltr">&lt;<a href="mailto:carter.schonwald@gmail.com" target="_blank">carter.schonwald@gmail.com</a>&gt;</span> wrote:<br>


<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">I just the the rebuild of the haskell glut / opengl libs and I got the following message<br>


Configuring OpenGLRaw-1.0.1.0...<br>cabal: Missing dependency on a foreign library:<br>* Missing C library: GL<br>This problem can usually be solved by installing the system package that<br>

provides this library (you may need the &quot;-dev&quot; version). If the library is<br>already installed but in a non-standard location then you can use the flags<br>--extra-include-dirs= and --extra-lib-dirs= to specify where it is.<br>




cabal: Error: some packages failed to install:<br>GLURaw-1.0.0.0 depends on OpenGLRaw-1.0.1.0 which failed to install.<br>OpenGL-2.3.0.0 depends on OpenGLRaw-1.0.1.0 which failed to install.<br>OpenGLRaw-1.0.1.0 failed during the configure step. The exception was:<br>




<br><br>and I don&#39;t see how to get the openglraw to build or what has changed<br><br>thanks for any help<br><font color="#888888">-Carter<br><br></font><div class="gmail_quote"><div><div></div><div>On Thu, Jul 30, 2009 at 8:23 PM, Rafael Gustavo da Cunha Pereira Pinto <span dir="ltr">&lt;<a href="mailto:RafaelGCPP.Linux@gmail.com" target="_blank">RafaelGCPP.Linux@gmail.com</a>&gt;</span> wrote:<br>




</div></div><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><div><div></div><div>Here is a patch that makes it compile, but then it breaks all code developed for GLFW-0.3, as all Floats need to be changed to CFloat.<br>




<br>For all haskellers here:<br><br>Sorry for all this annoyance, but I was starting to study those libraries (OpenGL, GLUT and GLFW) using Haskell and the update broke some of my code. <br>
<br><br>Best Regards,<br><font color="#888888"><br>Rafael<br><br>
</font><br></div></div><div>_______________________________________________<br>
Haskell-Cafe mailing list<br>
<a href="mailto:Haskell-Cafe@haskell.org" target="_blank">Haskell-Cafe@haskell.org</a><br>
<a href="http://www.haskell.org/mailman/listinfo/haskell-cafe" target="_blank">http://www.haskell.org/mailman/listinfo/haskell-cafe</a><br>
<br></div></blockquote></div><br>
<br>_______________________________________________<br>
Haskell-Cafe mailing list<br>
<a href="mailto:Haskell-Cafe@haskell.org" target="_blank">Haskell-Cafe@haskell.org</a><br>
<a href="http://www.haskell.org/mailman/listinfo/haskell-cafe" target="_blank">http://www.haskell.org/mailman/listinfo/haskell-cafe</a><br>
<br></blockquote></div><br><br clear="all"><br></div></div>-- <br><div><div></div><div class="h5">Rafael Gustavo da Cunha Pereira Pinto<br><br>
</div></div></blockquote></div><br>